commit:     88570c89b132a0715b2a73f51ae139e7de97c867
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 14 18:25:22 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Jul 14 18:25:22 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88570c89

dev-python/distlib: add 0.3.5

Move to github repo and homepage

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/distlib/Manifest             |  1 +
 dev-python/distlib/distlib-0.3.5.ebuild | 66 +++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/distlib/Manifest b/dev-python/distlib/Manifest
index 59a80e4a647d..294bf571103f 100644
--- a/dev-python/distlib/Manifest
+++ b/dev-python/distlib/Manifest
@@ -1 +1,2 @@
 DIST distlib-0.3.4.tar.bz2 1169083 BLAKE2B 
f1b5e5ca7d0155d204db177d9844cdff4d593be3d927bd5f9e8ad07065b52383527d3990b66c5868bb8377703d031958c5c88a9daf4f0b238903ddbea3ef6cf0
 SHA512 
24f8d6f5012c881ffa6bbdae7887ee5a7608ac36a83e2a96cb8a337d1ab6c896a4078028d0383165ff44be6b735aa31f7d199845d89899813be74ed00e1680e8
+DIST distlib-0.3.5.gh.tar.gz 1233989 BLAKE2B 
616666e835aa201ceeeb423452a25adafab67dc20f99496b711e3ca6d4916f4e1dd39e444b1c8824e90559e898fc0588cd58d2d5be07af172d6b6ed3f3c7fe4c
 SHA512 
927861d2e11785d8419c3125784f21ee052883c03d91d8893d2c77b47739e45cbca39e5d90446e906c71744bd57274192b28af86def239a16caeae4d3887d5a6

diff --git a/dev-python/distlib/distlib-0.3.5.ebuild 
b/dev-python/distlib/distlib-0.3.5.ebuild
new file mode 100644
index 000000000000..b9e474a8db74
--- /dev/null
+++ b/dev-python/distlib/distlib-0.3.5.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level components of distutils2/packaging"
+HOMEPAGE="
+       https://pypi.org/project/distlib/
+       https://github.com/pypa/distlib
+"
+SRC_URI="
+       https://github.com/pypa/distlib/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# pypiserver is called as external executable
+# openpyxl installs invalid metadata that breaks distlib
+BDEPEND="
+       test? (
+               dev-python/pypiserver
+               !!<dev-python/openpyxl-3.0.3[${PYTHON_USEDEP}]
+       )
+"
+
+src_prepare() {
+       # make sure they're not used
+       rm tests/pypi-server-standalone.py || die
+
+       # use system pypiserver instead of broken bundled one
+       eapply "${FILESDIR}"/distlib-0.3.2-system-pypiserver.py || die
+
+       # doesn't work with our patched pip
+       sed -i -e '/PIP_AVAIL/s:True:False:' tests/test_wheel.py || die
+
+       # broken with pypy3
+       sed -i -e 's:test_custom_shebang:_&:' tests/test_scripts.py || die
+       # broken with py3.11, doesn't look important
+       sed -i -e 's:test_sequencer_basic:_&:' tests/test_util.py || die
+       # https://bugs.gentoo.org/843839
+       sed -i -e 's:test_interpreter_args:_&:' tests/test_scripts.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x SKIP_ONLINE=1
+       local -x PYTHONHASHSEED=0
+
+       # disable system-site-packages -- distlib has no deps, and is very
+       # fragile to packages actually installed on the system
+       sed -i -e '/system-site-packages/s:true:false:' \
+               "${BUILD_DIR}/install${EPREFIX}/usr/bin/pyvenv.cfg" || die
+
+       "${EPYTHON}" tests/test_all.py -v -x ||
+               die "Tests failed with ${EPYTHON}"
+}

Reply via email to